ACQUIRE_CONSOLE_SEM(9)

NAME
acquire_console_sem - lock the console system for exclusive use.

SYNOPSIS

void acquire_console_sem (void);

ARGUMENTS

void
    no arguments

DESCRIPTION

Acquires a semaphore which guarantees that the caller has exclusive access to the console system and the console_drivers list.

Can sleep, returns nothing.